/** 引入模板 **/
import Layout from '@/layout'
import creatWebsite from '@/layout/creatWebsite'

const dangyunlongRouter= [
  {
    path: '/website',
    component: Layout,
    children: [
      {
        name: '', //直接就是根目录所以为空
        path: '',
        component: () => import('@/views/website/WebsiteList'),
        meta: {
          title: '网站管理', // 设置菜单和面包屑显示的标题
          hidden: true, // 不在侧边菜单显示
          breadcrumb: true // 强制在面包屑中显示
        }
      }
    ]
  },
  {
    path: '/categoryList',
    component: Layout,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/website/categoryList'),
        meta: {
          title: '导航池',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/websiteColumn',
    component: Layout,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/website/websiteColumn'),
        meta: {
          title: '网站导航',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/editNavigation',
    component: Layout,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/website/editNavigation'),
        meta: {
          title: '导航详情',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/articleList',
    component: Layout,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/news/NewList'),
        meta: {
          title: '资讯列表',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/creatNews',
    component: Layout,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/news/creatNews'),
        meta: {
          title: '添加资讯',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/menuList',
    component: Layout,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/menu/menulist'),
        meta: {
          title: '菜单列表',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/complaintList',
    component: Layout,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/complaint/complaintList'),
        meta: {
          title: '投诉举报',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/roleList',
    component: Layout,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/role/roleList'),
        meta: {
          title: '角色管理',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/userList',
    component: Layout,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/role/userList'),
        meta: {
          title: '用户管理',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/creatUser',
    component: Layout,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/role/creatUser'),
        meta: {
          title: '添加用户',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/department',
    component: Layout,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/menu/department'),
        meta: {
          title: '行政职能',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/hall',
    component: Layout,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/chat/hall'),
        meta: {
          title: '聊天',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/contacts',
    component: Layout,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/chat/contacts'),
        meta: {
          title: '通讯录',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/topic',
    component: Layout,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/chat/topic'),
        meta: {
          title: '课题',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/creatTopic',
    component: Layout,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/chat/creatTopic'),
        meta: {
          title: '编辑课题',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/templateCreat',
    component: creatWebsite,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/template/templateCreat'),
        meta: {
          title: '构建网站模板',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/templateBase',
    component: Layout,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/template/templateBase'),
        meta: {
          title: '填写模板基本信息',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/profile',
    component: Layout,
    redirect: '/profile/index',
    hidden: true,
    children: [
      {
        path: 'index',
        component: () => import('@/views/profile/index'),
        name: 'Profile',
        meta: {
          title: '个人中心',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/templateStyle',
    component: Layout,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/template/templateStyle'),
        meta: {
          title: '选择模板风格',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
  {
    path: '/templateList',
    component: Layout,
    children: [
      {
        name: '',
        path: '',
        component: () => import('@/views/template/templateList'),
        meta: {
          title: '网站模板',
          hidden: true,
          breadcrumb: true
        }
      }
    ]
  },
]
export default dangyunlongRouter
